Bug 852662 - [eap6] Cannot unset resource configuration properties
[eap6] Cannot unset resource configuration properties
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity high
: DR01
: JON 3.3.0
Assigned To: Stefan Negrea
Armine Hovsepyan
Depends On: 844434 852552 879062
Blocks: as7-plugin 1119499
  Show dependency treegraph
Reported: 2012-08-29 04:43 EDT by Stefan Negrea
Modified: 2015-09-02 20:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 852552
: 1119499 (view as bug list)
Last Closed: 2014-12-11 09:03:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
before_unset (227.25 KB, image/png)
2014-08-05 03:05 EDT, Armine Hovsepyan
no flags Details
after_unset (227.40 KB, image/png)
2014-08-05 03:05 EDT, Armine Hovsepyan
no flags Details
before_unset2 (262.62 KB, image/png)
2014-08-05 03:06 EDT, Armine Hovsepyan
no flags Details
after_unset2 (263.16 KB, image/png)
2014-08-05 03:06 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-08-29 04:43:02 EDT
+++ This bug was initially created as a clone of Bug #852552 +++

Description of problem:
For various AS7 subresources, cannot unset resource configuration properties. The properties are updated to any value that is non-empty. The properties however, do not get updated if either the unset checkbox is clicked or if the value from the field is empty. 

This only applies to non-required properties. For required properties the option to unset the property is not available, and the save button is disable until the field has a non-empty value (UI Validation).

How reproducible:

Steps to Reproduce:
1. Discover and import an AS7 standalone server
2. Find any resource with non-required properties that currently set.
3. Either click on the unset checkbox or remove all the contents of the textbox
4. Save the configuration
Actual results:
The save operation succeeds but the property values is still set to the old value (before unset)

Expected results:
The save operation succeeds but the property is now null or the default value if a default value is available for the property.

Additional info:
This bug does not apply to resource creation. If a field is set to unset in the resource creation page, the field will get the default AS7 value upon resource creation since the AS7 plugin will not send a property configuration request to AS7 for the respective property.

--- Additional comment from snegrea@redhat.com on 2012-08-29 04:35:07 EDT ---

The following resources had to be updated because of this change. There is no functional update to any of these resources. All the changes are done to prevent regressions due to the plugin sending all the properties back to the server.

1) Transport (*/subsystem=infinispan/cache-container=*/transport=TRANSPORT):
Removed Transport properties that were no longer in the resource definition. 

2) Mod-cluster Configuration (/subsystem=modcluster,mod-cluster-config=configuration):
Replaced a property name referenced by alias with the actual name. The alias is no longer working correctly. 

3) Distributed Cache (*/subsystem=infinispan/cache-container=*/distributed-cache=*):
Created a separate resource for distributed-cache because it has three extra properties when compared to invalidation-cache and replicated-cache.

4) Socket-Binding Group:
Update the resource component to avoid sending port-offset configuration to the server for AS7 host controllers by removing the property completely from the definition and update report. Before this change, the property was not sent anyway because it was null, and null values were not sent to the server.

5) Transactions (*/subsystem=transactions):
Added special validation rules for properties.

6) Data-source and XA Data-source:
Updated the way configuration updates are sent for 9 properties. While these properties look undefined in the server, they cannot undefined or set to null at any point in time. The application server makes use of the default value at all times.
Comment 2 Stefan Negrea 2012-08-29 16:54:05 EDT
Reverted all the changes added to the release branch and retargeting for 3.1.2.
Comment 4 Charles Crouch 2012-10-30 18:25:48 EDT
This, at least superficially, looks related to 844434
Comment 5 mark yarborough 2012-11-20 15:46:06 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 7 Larry O'Leary 2014-06-12 19:47:07 EDT
This is already in master and the release branch.
Comment 8 Simeon Pinder 2014-07-31 11:52:39 EDT
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993
Comment 9 Armine Hovsepyan 2014-08-05 03:04:19 EDT
screen-shots attached
Comment 10 Armine Hovsepyan 2014-08-05 03:05:23 EDT
Created attachment 924106 [details]
Comment 11 Armine Hovsepyan 2014-08-05 03:05:42 EDT
Created attachment 924107 [details]
Comment 12 Armine Hovsepyan 2014-08-05 03:06:02 EDT
Created attachment 924109 [details]
Comment 13 Armine Hovsepyan 2014-08-05 03:06:21 EDT
Created attachment 924111 [details]

Note You need to log in before you can comment on or make changes to this bug.